This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1275589 - Routing Error when clicking on Clouds menu link
Routing Error when clicking on Clouds menu link
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Aparna Karve
Pete Savage
: ZStream
Depends On:
Blocks: 1278062
  Show dependency treegraph
 
Reported: 2015-10-27 05:43 EDT by Pete Savage
Modified: 2015-12-08 08:40 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1278062 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:40:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Savage 2015-10-27 05:43:55 EDT
Description of problem: When the last page on clouds that was view is a cloud provider details page, the next time the Clouds main menu link is accessed, a 404 is thrown


Version-Release number of selected component (if applicable): 5.5.0.7


How reproducible: 100%


Steps to Reproduce:
1. Add/have a cloud provider on the appliance
2. Go to the Clouds -> Providers page
3. Click on a provider to display the details page
4. Click on Infrastructure -> Providers
5. and then Click the top level Clouds link.

Actual results:
404 Error

Expected results: Page should either show clouds providers or the original provider that was being inspected. It appears this is due to an extraneous /show/ in the url which no longer seems to be necessary for clouds. Infrastructure does not show this error.


Additional info:

[----] I, [2015-10-27T05:39:50.016936 #4019:421990]  INFO -- : Started GET "/ems_cloud/show/4" for 127.0.0.1 at 2015-10-27 05:39:50 -0400
[----] F, [2015-10-27T05:39:50.019261 #4019:421990] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/ems_cloud/show/4"):
  actionpack (4.2.4) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  railties (4.2.4) lib/rails/rack/logger.rb:38:in `call_app'
  railties (4.2.4) lib/rails/rack/logger.rb:22:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  activesupport (4.2.4) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  railties (4.2.4) lib/rails/engine.rb:518:in `call'
  railties (4.2.4) lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  railties (4.2.4) lib/rails/commands/server.rb:80:in `start'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:80:in `block in server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `tap'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  railties (4.2.4) lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'
Comment 4 CFME Bot 2015-11-03 17:30:25 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/daa9d2554b5e64355d48fc45270dd56a5425820b

commit daa9d2554b5e64355d48fc45270dd56a5425820b
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Thu Oct 29 23:20:15 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Thu Oct 29 23:22:07 2015 -0700

    Account for restful routes when accessing a page from dashboard maintab
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275589

 app/controllers/dashboard_controller.rb |  8 +++++++-
 app/helpers/application_helper.rb       |  6 ++++++
 spec/helpers/application_helper_spec.rb | 26 ++++++++++++++++++++++++++
 3 files changed, 39 insertions(+), 1 deletion(-)
Comment 5 CFME Bot 2015-11-04 14:13:11 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=ed5290eb2ec4492551bd524aaebad696c25c91a2

commit ed5290eb2ec4492551bd524aaebad696c25c91a2
Merge: e983e50 755ee9c
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 4 14:10:26 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 4 14:10:26 2015 -0500

    Merge branch 'cleanup_app_helper_spec' into '5.5.z'
    
    Clean-up the before block and call the methods using helper object
    
    Cleaned up the ```before``` block and called the ```helper``` methods using the ```helper``` object.
    
    This MR is a pre-requisite for an upcoming fix for this BZ -
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275589
    
    Clean cherry-pick
    
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/5172
    
    See merge request !312

 spec/helpers/application_helper_spec.rb | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)
Comment 6 CFME Bot 2015-11-05 11:38:06 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=64eb8a59fab9d01d774ab21fb1da53e70a4a3fd4

commit 64eb8a59fab9d01d774ab21fb1da53e70a4a3fd4
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Thu Oct 29 23:20:15 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Nov 4 13:38:24 2015 -0800

    Account for restful routes when accessing a page from dashboard maintab
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275589

 app/controllers/dashboard_controller.rb |  8 +++++++-
 app/helpers/application_helper.rb       |  6 ++++++
 spec/helpers/application_helper_spec.rb | 26 ++++++++++++++++++++++++++
 3 files changed, 39 insertions(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-05 11:38:28 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d2c3edf5cb10b0d5e51fdcbcc4029ec5bf09f4a9

commit d2c3edf5cb10b0d5e51fdcbcc4029ec5bf09f4a9
Merge: 7653961 5fa6c5d
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 5 11:29:42 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Nov 5 11:29:42 2015 -0500

    Merge branch 'bz1275589_fix_dash_maintab_ems_cloud_path' into '5.5.z'
    
    Bz1275589 Account for restful routes when accessing a page via dashboard maintab
    
    Fixes the routing issue seen when the dashboard maintab attempts to redirect to a restful route.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275589
    
    Clean cherry-pick
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/5171
    
    See merge request !357

 app/controllers/application_controller.rb          |  1 +
 .../application_controller/ci_processing.rb        |  1 +
 app/controllers/dashboard_controller.rb            |  9 +++++++-
 app/helpers/application_helper.rb                  |  6 +++++
 .../controllers/container_group_controller_spec.rb |  6 +++--
 .../controllers/container_image_controller_spec.rb |  6 +++--
 .../container_image_registry_controller_spec.rb    |  6 +++--
 spec/controllers/container_node_controller_spec.rb |  6 +++--
 .../container_project_controller_spec.rb           |  6 +++--
 .../container_replicator_controller_spec.rb        |  6 +++--
 .../controllers/container_route_controller_spec.rb |  6 +++--
 .../container_service_controller_spec.rb           |  6 +++--
 spec/controllers/dashboard_controller_spec.rb      | 16 +++++++++++++
 spec/controllers/ems_infra_controller_spec.rb      | 20 +++++++++++++++++
 spec/helpers/application_helper_spec.rb            | 26 ++++++++++++++++++++++
 15 files changed, 110 insertions(+), 17 deletions(-)
Comment 8 Pete Savage 2015-11-12 11:29:02 EST
Verified in 5.5.0.10
Comment 10 errata-xmlrpc 2015-12-08 08:40:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.